[Erledigt] [5.2 Beta 4] Installation bleibt stehen

  • Affected App
    WoltLab Suite Core

    Moin Leute,

    Ich hoffe ihr könnt mir vielleicht helfen. Ich wollte gerade mal die Beta 4 des neuen WSC5.2 testen. Die Installation verläuft anfangs auch ohne Probleme. Erst wenn er ins ACP geht und die Installation eigentlich autmatisch weiterlaufen sollte, bleibt er hängen.

    https://xxxx.xxx/acp/index.php?action=WCFSetup

    Ich hab schon paar mal neu versucht, bleibt aber immer wieder an dieser stelle hängen. Datenbank wird angelegt und die Tabellen auch angelegt.

    System Infos:

    Ubuntu 18.04

    PHP:

    Code
    PHP 7.3.12-1+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Nov 28 2019 07:37:16) ( NTS )
    Copyright (c) 1997-2018 The PHP Group
    Zend Engine v3.3.12, Copyright (c) 1998-2018 Zend Technologies
        with the ionCube PHP Loader + ionCube24 v10.3.9, Copyright (c) 2002-2019, by ionCube Ltd.
        with Zend OPcache v7.3.12-1+ubuntu18.04.1+deb.sury.org+1, Copyright (c) 1999-2018, by Zend Technologies

    Nginx:

    Code
    nginx version: nginx/1.14.0 (Ubuntu)
    built with OpenSSL 1.1.1  11 Sep 2018 (running with OpenSSL 1.1.1d  10 Sep 2019)
    TLS SNI support enabled
    configure arguments: --with-cc-opt='-g -O2 -fdebug-prefix-map=/build/nginx-DUghaW/nginx-1.14.0=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -Wdate-time -D_FORTIFY_SOURCE=2' --with-ld-opt='-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,now -fPIC' --prefix=/usr/share/nginx --conf-path=/etc/nginx/nginx.conf --http-log-path=/var/log/nginx/access.log --error-log-path=/var/log/nginx/error.log --lock-path=/var/lock/nginx.lock --pid-path=/run/nginx.pid --modules-path=/usr/lib/nginx/modules --http-client-body-temp-path=/var/lib/nginx/body --http-fastcgi-temp-path=/var/lib/nginx/fastcgi --http-proxy-temp-path=/var/lib/nginx/proxy --http-scgi-temp-path=/var/lib/nginx/scgi --http-uwsgi-temp-path=/var/lib/nginx/uwsgi --with-debug --with-pcre-jit --with-http_ssl_module --with-http_stub_status_module --with-http_realip_module --with-http_auth_request_module --with-http_v2_module --with-http_dav_module --with-http_slice_module --with-threads --with-http_addition_module --with-http_geoip_module=dynamic --with-http_gunzip_module --with-http_gzip_static_module --with-http_image_filter_module=dynamic --with-http_sub_module --with-http_xslt_module=dynamic --with-stream=dynamic --with-stream_ssl_module --with-stream_ssl_preread_module --with-mail=dynamic --with-mail_ssl_module --add-dynamic-module=/build/nginx-DUghaW/nginx-1.14.0/debian/modules/http-auth-pam --add-dynamic-module=/build/nginx-DUghaW/nginx-1.14.0/debian/modules/http-dav-ext --add-dynamic-module=/build/nginx-DUghaW/nginx-1.14.0/debian/modules/http-echo --add-dynamic-module=/build/nginx-DUghaW/nginx-1.14.0/debian/modules/http-upstream-fair --add-dynamic-module=/build/nginx-DUghaW/nginx-1.14.0/debian/modules/http-subs-filter

    MariaDB:

    Code
    mariadb  Ver 15.1 Distrib 10.4.10-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2

    File rechte und Gruppenzugehörigkeit habe ich bereits gecheckt (www-data) das sollte soweit alles passen. An der PHP Config hab ich auch nicht wirklich rumgeschraubt. Die einzigen änderungen an der PHP Conf sind

    Code
    upload_max_filesize=5M
    date.timezone=Europe/Berlin
    max_execution_time=120
    max_input_time=90
    memory_limit=500M
    post_max_size=500M
    upload_max_filesize=500M
    expose_php=off

    Vielleicht hat ja jemand einen Denkanstoß oder Tipp für mich. Freue mich über jede Hilfe.

    Edit:

    OKay hab jetzt noch bisschen geschaut und mal das WBB 3.1 versucht zu installieren, gleiches Problem. Ich wühle mich nochmal durch die Configs. die Nginx Conf habe ich übrigents mit https://www.digitalocean.com/community/tools/nginx erstellt und bisher eigentlich noch nie Probleme gehabt.

    Edit2:

    Okay hab den Fehler gefunden es lag an den etwas zu streng eingestellten Sicherheitsregeln in der Nginx Config. Explizit diese Stelle:

    Code
    add_header Content-Security-Policy "default-src 'self' http: https: data: blob: 'unsafe-inline'" always;

    Viele Grüße

    Sp4x

    Edited 5 times, last by FiSTWHO (December 9, 2019 at 4:51 PM).

  • FiSTWHO December 9, 2019 at 4:52 PM

    Changed the title of the thread from “Installation bleibt stehen” to “[Erledigt] [5.2 Beta 4] Installation bleibt stehen”.
  • Tim Düsterhus December 10, 2019 at 12:24 AM

    Added the Label Not a bug

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!